import type { LocalRuleOptions } from '../index';
import { error } from '../constants';
import { defineMiddleware } from '../middleware';

const localRules: Partial<LocalRuleOptions> = {
  'rules/no-import-dot': error,
  'rules/restrict-template-expressions': error,
};

export const local = defineMiddleware((_, { addRules }) => {
  addRules(localRules);
});
